#include <iostream>
#include <iomanip>
using namespace std;

int main()
{
    int n;
    cin>>n;
    long double a[n],p[n],buzet=0,mak=0;
    for(int i=0;i<n;i++)
    {
        cin>>a[i]>>p[i];
    }
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<n;j++)
        {
            if(p[i]<=p[j])
            {
                buzet=buzet+a[j]*(p[i]/100);
            }
        }

        if(buzet>mak)
            mak=buzet;
        buzet=0;
    }
    cout << fixed << showpoint << setprecision(10)<<mak;
}